<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<META Http-Equiv="Cache-Control" Content="no-cache">
<META Http-Equiv="Pragma" Content="no-cache">
<META Http-Equiv="Cache" Content="no store">
<META Http-Equiv="Expires" Content="0">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<link rel="stylesheet" href="http://www.univ-lr.fr/apps/support/maracuja/maracuja.css" type="text/css">
<title>Maracuja 1.5.0 - Lisezmoi</title>
<style type="text/css">
<!--
body, table, td, th, dd, dt {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 9pt;
}

a[href], a.linkPage {
  color: #295ADF; 
  text-decoration: none;
}

hr {
	color : #92A2D0;
	border : 1px solid;
}

h1 {
	color : #937E56;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 20pt;
	font-weight: bold;
}

h2 {
	color : #937E56;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 16pt;
	font-weight: bold;
}

h3 {
	font-family: Arial, Helvetica, sans-serif;
	color: #234DBF;
	font-size: 14pt;
	font-weight: bold;
}

h4 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12pt;
	font-weight: bold;
}

.menuTitle {
	color: #234DBF;
	background: #FFE42F;
	background-color: #FFE42F;
	padding: 3px;
}

a[href]:hover, a.linkPage:hover {
  color: #F75D4D; 
  text-decoration: underline;
}

a.linkMenu {
	color: #4166D0;
	text-decoration: none;
}

a.linkMenu:hover {
	color: #F75D4D;
	text-decoration: underline;
}



ul.javadoc {
	list-style-type: circle;
}

.title1 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14pt;
	font-weight: bold;
}

.title2 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 11pt;
	font-weight: bold;
}

.title3 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10pt;
	font-weight: bold;
}

.title4, .entry {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 9pt;
	font-weight: bold;
}

.shadedTitle2 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 11pt;
	font-weight: bold;
	background: #DDD5C8;
	padding: 1px 2px 1px 2px;
	margin-top: 18pt;
}

.shadedTitle3 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10pt;
	font-weight: bold;
	background: #DDD5C8;
	padding: 1px 2px 1px 2px;
	margin-top: 12pt;
}

.shadedTitle4 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 9pt;
	font-weight: bold;
	background: #DDD5C8;
	padding: 1px 2px 1px 2px;
	margin-top: 9pt;
}

.alertNoteTitle, .noteTitleAlert  {
	border: 1px solid #AC0000;
	background-color: #AC0000;
	color: White;
	padding: 1pt 3pt 1pt 3pt;
}

.alertTitleContents, .noteContentsAlert {
	border: 1px solid #AC0000;
	background-color: #FFECEC;
	color: Black;
	padding: 2pt;
}

.note {
	font-size: 10px;
}

.minitoc {
	border-left: 2px solid #763000;
	border-top: 2px solid #763000;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 8pt;
}

.minitocTitle {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	font-size: 8pt;
}

.versionTitle {
	font-weight: bold;
	background: #e2dacc;
	padding: 1px 2px 1px 2px;
}

.versionContents {
	padding: 1px 2px 1px 10px;
}

.code {
	border: 1px dashed #e2dacc;
	background: #f6f4ee;
	font-family: "Courier New", Courier, monospace;
	font-size: 8pt;
	padding: 3pt;
}

.codeComment {
	color: #008080;
	font-family: "Courier New", Courier, monospace;
	font-size: 8pt;
}

.header {
	background: #f6f4ee;
	font-weight: bold;
}

.box {
	border: 1px solid #e2dacc;
	background: #f6f4ee;
}

.boxContents {
	background-color: #F9F5EF;
	background: #F9F5EF;
}

.boxTitle {
	background-color: #d1c2ad;
	background: #d1c2ad;
}

.listboxLine, .listboxLineEven {
	background-color: #FEFBF8;
	background: #FEFBF8;
}

.listboxLineOdd {
	background-color: #F8FEF8;
	background: #F8FEF8;
}

.boxImportant {
	border: 1px solid #DD8E8E;
	background-color: #FFECEC;
	color: Black;
	padding: 2pt;
}

.boxInstall {
	border: 1px solid #FFAC59;
	background-color: #FFF5CC;
	color: Black;
	padding: 2pt;
}
.tableHeaderCell {
	background: #000066;
	color:#FFFFFF;
	font-weight: bold;
}

.tableContentCell {
	background-color:#E1DEEF;
	color:#000000;
}

body, table, td, th, dd, dt {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 9pt;
}

a[href], a.linkPage {
  color: #0066CC; /*#004180; */
  text-decoration: none;
}

a[href]:hover, a.linkPage:hover {
  color: #C4001A; /*#004180; */
  text-decoration: underline;
}

a.linkMenu {
	color: #763000;

	text-decoration: none;
}

a.linkMenu:hover {
	color: #C4001A;
	text-decoration: underline;
}

ul.javadoc {
	list-style-type: circle;
}

.title1 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14pt;
	font-weight: bold;
}

.title2 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 11pt;
	font-weight: bold;
}

.title3 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10pt;
	font-weight: bold;
}

.title4, .entry {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 9pt;
	font-weight: bold;
}

.shadedTitle2 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 11pt;
	font-weight: bold;
	background: #e2dacc;
	padding: 1px 2px 1px 2px;
	margin-top: 18pt;
}

.shadedTitle3 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10pt;
	font-weight: bold;
	background: #e2dacc;
	padding: 1px 2px 1px 2px;
	margin-top: 12pt;
}

.shadedTitle4 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 9pt;
	font-weight: bold;
	background: #e2dacc;
	padding: 1px 2px 1px 2px;
	margin-top: 9pt;
}

.alertNoteTitle, .noteTitleAlert  {
	border: 1px solid #AC0000;
	background-color: #AC0000;
	color: White;
	padding: 1pt 3pt 1pt 3pt;
}

.alertTitleContents, .noteContentsAlert {
	border: 1px solid #AC0000;
	background-color: #FFECEC;
	color: Black;
	padding: 2pt;
}

.note {
	font-size: 10px;
}

.minitoc {
	border-left: 2px solid #763000;
	border-top: 2px solid #763000;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 8pt;
}

.minitocTitle {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	font-size: 8pt;
}

.versionTitle {
	font-weight: bold;
	background: #e2dacc;
	padding: 1px 2px 1px 2px;
}

.versionContents {
	padding: 1px 2px 1px 10px;
}

.code {
	background: #DDDDDD;
	font-family: "Courier New", Courier, monospace;
	font-size: 12px;
	padding: 3px;
}

.tableHeaderCell {
	background: #000066;
	color:#FFFFFF;
	font-weight: bold;
}

.tableContentCell {
	background-color:#E1DEEF;
	color:#000000;
}

.warning {
	background: #FF0000;
	font-family: Arial;
	color: #FFFFFF;
	font-size: 14px;
	font-weight: bold;
	padding: 3px;
}


.header {
	background: #f6f4ee;
	font-weight: bold;
}

.box {
	border: 1px solid #e2dacc;
	background: #f6f4ee;
}

.boxContents {
	background-color: #F9F5EF;
	background: #F9F5EF;
}

.boxTitle {
	background-color: #d1c2ad;
	background: #d1c2ad;
}

.listboxLine, .listboxLineEven {
	background-color: #FEFBF8;
	background: #FEFBF8;
}

.listboxLineOdd {
	background-color: #F8FEF8;
	background: #F8FEF8;
}	
.Style2 {color: #FF0000}
-->
</style>
</head>
<body BGCOLOR="#ffffff" LINK="#000099">

<h1>Maracuja - 1.5.0 - Lisez-moi</h1>
<p><em>rodolphe.prin@univ-lr.fr<br>
</em><em>13/12/2006</em></p>
<p>Cette mise &agrave; jour de Maracuja est importante, car elle permet de rendre Maracuja compatible avec la nouvelle version de Jefyco (2007). Certaines tables de Maracuja disparaissent et sont remplac&eacute;es par des vues de m&ecirc;me nom qui pointent sur JEFY_ADMIN. C'est le cas notamment des tables TYPE_CREDIT, UTILISATEUR, etc.</p>
<p class="Style2"><strong>La proc&eacute;dure d'installation contient plusieurs scripts, que vous devez imp&eacute;rativement ex&eacute;cuter dans l'ordre</strong>. </p>
<p>Pendant la mise &agrave; jour, certaines proc&eacute;dures utilis&eacute;es par Jefyco, Missions, Papaye etc. peuvent &ecirc;tre indisponibles.   </p>
<table width="90%"  border="0" cellspacing="1" cellpadding="4">
  <tr>
    <td class="tableHeaderCell"><strong>Nom du script </strong></td>
    <td class="tableHeaderCell"><strong>Description</strong></td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>10_grhum_150_ddl.sql</strong></td>
    <td class="tableContentCell">Connectez vous en tant que GRHUM ou DBA pour executer ce script. Ce script affecte des privil&egrave;ges pour Maracuja et corrige &eacute;galement des index sur le user comptefi. </td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>15_maracuja_150_dml_clean.sql</strong></td>
    <td class="tableContentCell">Connectez-vous sur Maracuja. Nettoyage des donn&eacute;es de Maracuja (donn&eacute;es obsol&egrave;tes ou suppression d'enregistrements orphelins)   </td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>20_maracuja_150_ddl.sql</strong></td>
    <td class="tableContentCell"><p>Nombreuses modifications de structures (modifications et ajouts de tables, cr&eacute;ation ou modifcations de vues etc.) </p>
    <p>Si vous rencontrez des erreurs lors de la suppression des contraintes obsol&egrave;tes, continuez l'execution du script.</p></td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>25_maracuja_150_ddl_abr.sql</strong></td>
    <td class="tableContentCell">Modifications propres &agrave; l'application ABRICOT (Mandatement et Titrage) . Ce script cr&eacute;e des vues qui resteront non compil&eacute;es, c'est normal tant que vous n'avez pas install&eacute; certaines nouvelles applications.   </td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>30_maracuja_150_ddl_proc.sql</strong></td>
    <td class="tableContentCell">Modifications de certains packages et proc&eacute;dures. <span class="Style2"><strong>Vous ne devez pas avoir d'erreurs de compilations dans les proc&eacute;dures cr&eacute;&eacute;es p&acirc;r ce script, certaines sont ex&eacute;cut&eacute;es avec le script suivant.  </strong></span></td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>35_maracuja_150_dml.sql</strong></td>
    <td class="tableContentCell">Modifications des donn&eacute;es (notamment la pr&eacute;paration exercice 2007). <span class="Style2"><strong>L'execution de ce script peut &ecirc;tre longue, s'il y a des erreurs, notez-les et pr&eacute;venez moi. </strong></span></td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>40_comptefi_150_ddl_vues.sql</strong></td>
    <td class="tableContentCell">Modification / Cr&eacute;ation des vues </td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>45_maracuja_150_dml_import.sql</strong></td>
    <td class="tableContentCell">Import de la nomenclature comptable officielle </td>
  </tr>
  <tr>
    <td class="tableContentCell"><strong>50_maracuja_150_ddl_cons.sql</strong></td>
    <td class="tableContentCell">Cr&eacute;ation de nombreuses contraintes pour renforcer la base. Si certaines ne sont pas activ&eacute;es, notez-les et pr&eacute;venez-moi.</td>
  </tr>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp; </p>
</body>
